Skip to main content
PATCH
Update table metadata
Changing schema_id replaces the table’s Product Schema snapshot for subsequent operations. It does not rename, remove, or remap keys in existing rows.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

table_id
string
required

Body

application/json
name
string
enhancement_context
string
schema_id
string

Replace the table's Product Schema snapshot for subsequent operations. Existing row keys and values are not remapped.

Response

Updated table

id
string
required
name
string
required
schema_id
string
required
status
enum<string>
required

Raw extraction job status returned by the API.

Available options:
queued,
queued_for_processing,
processing,
processing_by_worker,
completed,
error,
cancelled
total_rows
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
progress
integer
Required range: 0 <= x <= 100
source_type
enum<string>
Available options:
files,
text
additional_context
string | null
enhancement_context
string | null
error_message
string | null
files
object[]
locked
boolean
locked_at
string<date-time> | null
locked_by
string<uuid> | null
skipped_source_updates
integer
last_skipped_source_update_at
string<date-time> | null